# POST /replicate/v1/predictions

**Method**: `POST`
**Endpoint**: `/replicate/v1/predictions`

<https://replicate.com/stability-ai/stable-diffusion>
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
version
string
Required
input
object
Required
seed
integer
Required
image
string
Required
steps
integer
Required
prompt
string
Required
cfg_scale
integer
Required
scheduler
string
Required
sampler_name
string
Required
negative_prompt
string
Required
denoising_strength
number
Required
outpaint_direction
string
Required
overlay_original_img
boolean
Required
Example
{
"version"
:
"ac732df83cea7fff18b8472768c88ad041fa750ff7682a21affe81863cbe77e4"
,
"input"
:
{
"width"
:
768
,
"height"
:
768
,
"prompt"
:
"an astronaut riding a horse on mars, hd, dramatic lighting"
,
"scheduler"
:
"K_EULER"
,
"num_outputs"
:
1
,
"guidance_scale"
:
7.5
,
"num_inference_steps"
:
50
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "ac732df83cea7fff18b8472768c88ad041fa750ff7682a21affe81863cbe77e4",
    "input": {
      "width": 768,
      "height": 768,
      "prompt": "an astronaut riding a horse on mars, hd, dramatic lighting",
      "scheduler": "K_EULER",
      "num_outputs": 1,
      "guidance_scale": 7.5,
      "num_inference_steps": 50
    }
  }'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
